X2Go Bug report logs - #1258
x2goclient hangs when connecting with Kerberos auth

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike DePaulo <mikedep333@gmail.com>

Date: Mon, 19 Feb 2018 04:30:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.1.0

Fixed in version 4.1.1.2

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Mon, 19 Feb 2018 04:30:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Feb 2018 04:30:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient hangs when connecting with Kerberos auth
Date: Sun, 18 Feb 2018 23:28:12 -0500
Package: x2goclient
Version: 4.1.1.0

When attempting to connect to an X2Go server with GSSAPI/Kerberos
auth, x2goclient hangs indefinitely.

This was observed with nightly builds for Windows, and was assumed to
be Windows-specific.

The fix has already been committed to master. I will update master
with another commit (& change to debian/changelog) stating that this
was fixed:
commit 7cbd8d525309edb8bd05d27ec57ac72e2d8c90e8
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sun Feb 18 19:52:22 2018 -0500

    Do not attempt to perform Interaction with SSH Server

    (e.g. for changing expired password) when using GSSAPI/Kerberos
    because the interaction code does not support it yet.


But as I was fixing it, I noticed that Linux & Mac OS X are probably
affected too.

The cause of the issue is that the new Interaction Dialog feature
introduced by this commit contains libssh-specific function calls, but
we use PuTTY binaries on Windows & the OpenSSH ssh client binary on
Linux/MacOS for GSSAPI/Kerberos:
commit 68bbf328132125eaad5c53b0ac82490bf818e42e
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Wed May 10 15:22:11 2017 +0200

    Interaction with SSH server (for example for changing expired
password). Fixes: #592.

And the "fix" for this is to bypass that new feature when
GSSAPI/Kerberos auth is used.

I will open up a separate issue about the fact that the Interaction
Dialog feature does not work with GSSAPI/Kerberos.

-Mike


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Mon, 19 Feb 2018 04:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Feb 2018 04:35:02 GMT) (full text, mbox, link).


Message #10 received at 1258@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 1258-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1258@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 19 Feb 2018 05:32:43 +0100 (CET)
tag #1258 pending
fixed #1258 4.1.1.2
thanks

Hello,

X2Go issue #1258 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=36cad1d

The issue will most likely be fixed in src:x2goclient (4.1.1.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 36cad1de8183b90d66acfe6673474a75e488d852
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sun Feb 18 23:34:31 2018 -0500

    Update debian/changelog that commit "Do not attempt to perform Interaction with SSH Server" Fixes: #1258

diff --git a/debian/changelog b/debian/changelog
index a0d78f4..2d72061 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ x2goclient (4.1.1.2-0x2go1) UNRELEASED; urgency=medium
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
+      Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 19 Feb 2018 04:35:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.1.2. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 19 Feb 2018 04:35:03 GMT) (full text, mbox, link).


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#1258. (Mon, 19 Feb 2018 04:35:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Tue, 20 Feb 2018 01:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 20 Feb 2018 01:10:02 GMT) (full text, mbox, link).


Message #22 received at 1258@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 1258@bugs.x2go.org
Subject: Linux is affected
Date: Mon, 19 Feb 2018 20:04:44 -0500
I can confirm that Linux is affected (including on 4.1.1.0
specifically), and that the commit fixes it.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Thu, 01 Mar 2018 12:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 01 Mar 2018 12:35:02 GMT) (full text, mbox, link).


Message #27 received at 1258@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo Mike DePaulo <mikedep333@gmail.com>
To: 1258-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1258@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 1 Mar 2018 13:30:16 +0100 (CET)
close #1258
thanks

Hello,

we are very hopeful that X2Go issue #1258 reported by you
has been resolved in the new release (4.1.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=b4421bf6fc16d46e68dde8a0b9d48252804a30f1;hp=d8f5e5a4a51724ef3620e7f347644338e2449444

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.1.1-2018.03.01
Status: RELEASE
Date: Wed, 28 Feb 2018 20:53:41 -0500
Fixes: 1258
Changes:
 x2goclient (4.1.1.1-2018.03.01) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.1.1-2018.03.01):
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
       Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the
       installation folder were changed to give users write access, or if
       x2goclient was copied/extracted to a folder where users could write.


Marked Bug as done Request was from Mike DePaulo Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Thu, 01 Mar 2018 12:35:02 GMT) (full text, mbox, link).


Notification sent to Mike DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Mar 2018 12:35:02 GMT) (full text, mbox, link).


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#1258. (Thu, 01 Mar 2018 12:35:03 GMT) (full text, mbox, link).


Bug reopened Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 02 Mar 2018 06:00:02 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.1.1.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 02 Mar 2018 06:00:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.1.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 02 Mar 2018 06:05:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 22 Jun 2018 20:35:02 GMT) (full text, mbox, link).


Notification sent to Mike DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Jun 2018 20:35:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Fri, 22 Jun 2018 20:40:04 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 22 Jun 2018 20:40:04 GMT) (full text, mbox, link).


Message #49 received at 1258@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1258-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1258@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Fri, 22 Jun 2018 22:34:30 +0200 (CEST)
close #1258
thanks

Hello,

we are very hopeful that X2Go issue #1258 reported by you
has been resolved in the new release (4.1.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=bc5c972f6fb84e6c542332d64f0403bb7ba440e3;hp=d8f5e5a4a51724ef3620e7f347644338e2449444

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.0-0x2go1
Status: RELEASE
Date: Fri, 22 Jun 2018 22:30:29 +0200
Fixes: 1156 1258 1263
Changes:
 x2goclient (4.1.2.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.2.0):
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
       Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the
       installation folder were changed to give users write access, or if
       x2goclient was copied/extracted to a folder where users could write.
     - Windows: Update Win32 OpenSSL from 1.0.2k to 1.0.2n
       Fixes several CVEs
     - Windows: Upgrade bundled VcXsrv from 1.17.0.0-3 (X2Go/Arctica Build)
       to 1.20.0.0 (upstream build)
         + Fixes https://github.com/ArcticaProject/nx-libs/issues/600
         + Incompatible with XP & Vista
         + Unmodified except for strip-nondeterminism being run on .gz files
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.0):
     - don't start gpg agent for PGP card authentication. Use system agent instead.
     - change search string for pcsc_scan.
     - destroy unused SSH sessions for LDAP authentication.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.0):
     - misc: update version to 4.1.2.0.
     - res/img/svg: add new lxqt.svg icon file (really helix.svg).
     - res/img/icons/*x*: add new rasterized lxqt.png files in different sizes.
     - res/qresources.qrc: add new lxqt files.
     - src/{onmainwindow.cpp,session{button,widget}.{cpp,h}}: add support for
       LXQt. Fixes: #1263.
     - src/sshmasterconnection.cpp: stop libssh/OpenSSL from querying for a
       passphrase if started with a controlling terminal.
     - x2goclient.pro: remove plugin references.
     - misc: change http:// to https:// where appropriate, but in actual code
       and translation files for now.
     - Makefile: remove plugin references.
     - Makefile: remove x2goclient_*.qm files in clean rule.
     - x2gobrowserplugin-2.4_1/: remove.
     - provider/: remove.
     - INSTALL: remove plugin references.
     - {{build,config}_win_plugin.bat,config_linux_{,static_}plugin.sh}:
       remove.
     - config_win.bat: remove plugin references.
     - src/{configdialog.cpp,onmainwindow{.cpp,{,_privat}.h}}: remove plugin
       references.
     - src/editconnectiondialog.cpp: do not connect signals to slots that do
       not exist on non-Linux platforms.
     - src/onmainwindow.cpp: add -nopn parameter to VcXsrv startup options,
       making the binary fail if it wasn't able to bind the requested port on
       all addresses.
     - src/onmainwindow.cpp: print out current DISPLAY value in debug log while
       starting X.Org Server on Windows.
     - src/onmainwindow.{cpp,h}: don't error out directly if starting the X.Org
       Server failed on Windows. Instead, try starting it three times, each
       time with a higher DISPLAY offset. On busy client machines, several
       clients raced for the sockets previously and often failed to start. Also
       check if the server binary actually is still alive before doing the TCP
       connection checks. A dead server won't be able to listen on a socket in
       the first place.
     - {src/{onmainwindow.{cpp,h},help.cpp},man/man1/x2goclient.1}: add new
       option --xserver-start-limit, replacing the formerly hardcoded limit of
       three tries.
     - src/onmainwindow.{cpp,h}: fix compile error on Windows - use std::size_t
       instead of std::ssize_t, treat zero as infinity value while parsing
       option value.
     - src/onmainwindow.cpp: handle a disabled X.Org Server start limit
       correctly.
     - src/onmainwindow.cpp: fix other compile errors/typos.
     - src/onmainwindow.cpp: another compile error/typo fix.
     - src/onmainwindow.cpp: let client recognize new --xserver-start-limit
       param correctly.
     - src/onmainwindow.cpp: add -silent-dup-error parameter to VcXsrv startup
       options, forcing it to silently fail without showing a dialog and thus
       keeping the process running.
     - src/onmainwindow.cpp: re-add periodic xmodmap keyboard sync for OS
       X/macOS platforms. Was dropped some time ago by accident.
     - src/onmainwindow.cpp: fix compile error on OS X/macOS.
     - copy-deps-win32.bat: update to 20160121-4 Cygwin bundle, shipping with
       chgrp.
     - src/onmainwindow.cpp: fix user-facing error messages in Windows X.Org
       Server startup functions.
     - src/pulsemanager.cpp: use QByteArray's constData () instead of data (),
       since we'll never modify the data anyway.
     - src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms
       to work around a Cygwin permissions bug. Fixes: #1156.
     - src/onmainwindow.cpp: QProcess:nullDevice () is only available on Qt
       5.2+, so use a workaround for older versions.
     - src/onmainwindow.cpp: actually pass the correct group ID to the chgrp
       call and make sure that the warning dialog box also appears whenever the
       exit code indicates a failure.
     - src/onmainwindow.{cpp,h}: remove Cygwin permissions workaround via
       chgrp.
     - copy-deps-win32.bat: update to 20180615-1 Cygwin bundle, shipping with
       a further modified OpenSSH Server version at 7.7p1-1-x2go1 and without
       chgrp.
     - src/onmainwindow.cpp: disable private host key permissions check in
       OpenSSH Server on Windows. Fixes: #1156.
     - res/i18n/x2goclient_*.ts: update translation files.
     - res/i18n/x2goclient_fi.ts: whitespace and other fixups.
     - res/i18n/x2goclient_fi.ts: add missing numerus form translation and
       other fixups.
     - res/i18n/x2goclient_de.ts: another fixup I previously forgot about.
     - res/i18n/x2goclient_et.ts: whitespace and meta data fixup.
     - res/i18n/x2goclient_et.ts: typo fix: on+ma -> oma.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:
     - Remove plugin references.
     - Remove x2goclient_*.qm files removal.
   * debian/control:
     - Convert plugin packages to dummy transitional packages with no
       dependencies, remove other plugin references.
   * debian/:
     - x2goplugin{,-provider}.install: clear out.
     - {x2goplugin.dirs,x2goplugin-provider.dirs,x2goplugin-provider.links,
        x2goplugin-provider.post*}: remove.
   * debian/copyright:
     - Remove plugin references.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.2.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_et.ts: update Estonian translation file.


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#1258. (Fri, 22 Jun 2018 20:40:10 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1258; Package x2goclient. (Sat, 23 Jun 2018 02:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 23 Jun 2018 02:25:02 GMT) (full text, mbox, link).


Message #57 received at 1258@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1258-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1258@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 23 Jun 2018 04:19:38 +0200 (CEST)
close #1258
thanks

Hello,

we are very hopeful that X2Go issue #1258 reported by you
has been resolved in the new release (4.1.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=81565e3e4bd7ee380f72d68ff002aa18501230d4;hp=d8f5e5a4a51724ef3620e7f347644338e2449444

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.0-0x2go1
Status: RELEASE
Date: Fri, 22 Jun 2018 22:30:29 +0200
Fixes: 1156 1258 1263
Changes:
 x2goclient (4.1.2.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.2.0):
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
       Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the
       installation folder were changed to give users write access, or if
       x2goclient was copied/extracted to a folder where users could write.
     - Windows: Update Win32 OpenSSL from 1.0.2k to 1.0.2n
       Fixes several CVEs
     - Windows: Upgrade bundled VcXsrv from 1.17.0.0-3 (X2Go/Arctica Build)
       to 1.20.0.0 (upstream build)
         + Fixes https://github.com/ArcticaProject/nx-libs/issues/600
         + Incompatible with XP & Vista
         + Unmodified except for strip-nondeterminism being run on .gz files
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.0):
     - don't start gpg agent for PGP card authentication. Use system agent instead.
     - change search string for pcsc_scan.
     - destroy unused SSH sessions for LDAP authentication.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.0):
     - misc: update version to 4.1.2.0.
     - res/img/svg: add new lxqt.svg icon file (really helix.svg).
     - res/img/icons/*x*: add new rasterized lxqt.png files in different sizes.
     - res/qresources.qrc: add new lxqt files.
     - src/{onmainwindow.cpp,session{button,widget}.{cpp,h}}: add support for
       LXQt. Fixes: #1263.
     - src/sshmasterconnection.cpp: stop libssh/OpenSSL from querying for a
       passphrase if started with a controlling terminal.
     - x2goclient.pro: remove plugin references.
     - misc: change http:// to https:// where appropriate, but in actual code
       and translation files for now.
     - Makefile: remove plugin references.
     - Makefile: remove x2goclient_*.qm files in clean rule.
     - x2gobrowserplugin-2.4_1/: remove.
     - provider/: remove.
     - INSTALL: remove plugin references.
     - {{build,config}_win_plugin.bat,config_linux_{,static_}plugin.sh}:
       remove.
     - config_win.bat: remove plugin references.
     - src/{configdialog.cpp,onmainwindow{.cpp,{,_privat}.h}}: remove plugin
       references.
     - src/editconnectiondialog.cpp: do not connect signals to slots that do
       not exist on non-Linux platforms.
     - src/onmainwindow.cpp: add -nopn parameter to VcXsrv startup options,
       making the binary fail if it wasn't able to bind the requested port on
       all addresses.
     - src/onmainwindow.cpp: print out current DISPLAY value in debug log while
       starting X.Org Server on Windows.
     - src/onmainwindow.{cpp,h}: don't error out directly if starting the X.Org
       Server failed on Windows. Instead, try starting it three times, each
       time with a higher DISPLAY offset. On busy client machines, several
       clients raced for the sockets previously and often failed to start. Also
       check if the server binary actually is still alive before doing the TCP
       connection checks. A dead server won't be able to listen on a socket in
       the first place.
     - {src/{onmainwindow.{cpp,h},help.cpp},man/man1/x2goclient.1}: add new
       option --xserver-start-limit, replacing the formerly hardcoded limit of
       three tries.
     - src/onmainwindow.{cpp,h}: fix compile error on Windows - use std::size_t
       instead of std::ssize_t, treat zero as infinity value while parsing
       option value.
     - src/onmainwindow.cpp: handle a disabled X.Org Server start limit
       correctly.
     - src/onmainwindow.cpp: fix other compile errors/typos.
     - src/onmainwindow.cpp: another compile error/typo fix.
     - src/onmainwindow.cpp: let client recognize new --xserver-start-limit
       param correctly.
     - src/onmainwindow.cpp: add -silent-dup-error parameter to VcXsrv startup
       options, forcing it to silently fail without showing a dialog and thus
       keeping the process running.
     - src/onmainwindow.cpp: re-add periodic xmodmap keyboard sync for OS
       X/macOS platforms. Was dropped some time ago by accident.
     - src/onmainwindow.cpp: fix compile error on OS X/macOS.
     - copy-deps-win32.bat: update to 20160121-4 Cygwin bundle, shipping with
       chgrp.
     - src/onmainwindow.cpp: fix user-facing error messages in Windows X.Org
       Server startup functions.
     - src/pulsemanager.cpp: use QByteArray's constData () instead of data (),
       since we'll never modify the data anyway.
     - src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms
       to work around a Cygwin permissions bug. Fixes: #1156.
     - src/onmainwindow.cpp: QProcess:nullDevice () is only available on Qt
       5.2+, so use a workaround for older versions.
     - src/onmainwindow.cpp: actually pass the correct group ID to the chgrp
       call and make sure that the warning dialog box also appears whenever the
       exit code indicates a failure.
     - src/onmainwindow.{cpp,h}: remove Cygwin permissions workaround via
       chgrp.
     - copy-deps-win32.bat: update to 20180615-1 Cygwin bundle, shipping with
       a further modified OpenSSH Server version at 7.7p1-1-x2go1 and without
       chgrp.
     - src/onmainwindow.cpp: disable private host key permissions check in
       OpenSSH Server on Windows. Fixes: #1156.
     - res/i18n/x2goclient_*.ts: update translation files.
     - res/i18n/x2goclient_fi.ts: whitespace and other fixups.
     - res/i18n/x2goclient_fi.ts: add missing numerus form translation and
       other fixups.
     - res/i18n/x2goclient_de.ts: another fixup I previously forgot about.
     - res/i18n/x2goclient_et.ts: whitespace and meta data fixup.
     - res/i18n/x2goclient_et.ts: typo fix: on+ma -> oma.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:
     - Remove plugin references.
     - Remove x2goclient_*.qm files removal.
   * debian/control:
     - Convert plugin packages to dummy transitional packages with no
       dependencies, remove other plugin references.
   * debian/:
     - x2goplugin{,-provider}.install: clear out.
     - {x2goplugin.dirs,x2goplugin-provider.dirs,x2goplugin-provider.links,
        x2goplugin-provider.post*}: remove.
   * debian/copyright:
     - Remove plugin references.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.2.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_et.ts: update Estonian translation file.


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#1258. (Sat, 23 Jun 2018 02:25:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Jul 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 15 23:40:35 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.